Subject: Re: bug#30728: Modification for guix installation script.

From: Tatiana Sholokhova <[email-masked]>
Date: Mon, 26 Mar 2018 19:09:38 +0300

Hello!

Could you please make that change on top of the current version of the
> Guix sources as a git commit?  Then you can run “git format-patch -1” to
> format it as a patch in a format that we can apply.  You can send the
> resulting patch file as an attachment to a reply to this email.
> This also fixes bug #30728, so please add this line to the commit
> message:
> --
> Ricardo

I have attached the patch file to this email. This patch fixes the
installation process but it place guix within root's directory.

I personally prefer that the Guix daemon points to my home directory
> because I don't want to update root's profile.  Some other people might
> prefer that it points to ~root because they might later delete their
> profile and want Guix to keep working.

> Do we have to take a decision here?  Can't we just let the user decide
> by letting them customize their environment variables?  I think it is
> the point of environment variables: giving freedom to users.

We can further work on the script's flexibility using the environment
variable solution.

--
Tatiana
From f286b6e9c60cba54f3da68428fc034d272ba5ffc Mon Sep 17 00:00:00 2001
From: tsholokhova <[email-masked]>
Date: Mon, 26 Mar 2018 18:59:40 +0300
Subject: [PATCH] Fixes <https://debbugs.gnu.org/30728>

---
 etc/guix-install.sh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 933492a33..b4a9cdf94 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -263,10 +263,9 @@ sys_create_store()
     fi
 
     _msg "${INF}Linking the root user's profile"
-    ln -sf /var/guix/profiles/per-user/root/guix-profile \
-       ~root/.guix-profile
+    ln -sf /var/guix/profiles/per-user/root/guix-profile /root/.guix-profile
 
-    GUIX_PROFILE="${HOME}/.guix-profile"
+    GUIX_PROFILE="/root/.guix-profile"
     source "${GUIX_PROFILE}/etc/profile"
     _msg "${PAS}activated root profile at /root/.guix-profile"
 }
-- 
2.14.1